Generate credential-free AgentV upgrade or repair instructions
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/install-instructions \
--cookie acornops_cp_session=const options = {method: 'POST', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/install-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installInstructions": {
"command": "<string>",
"releaseVersion": "<string>",
"bootstrapUrl": "<string>",
"warnings": [
"<string>"
],
"enrollmentExpiresAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Targets and inventory
Generate credential-free AgentV upgrade or repair instructions
Generate credential-free AgentV upgrade or repair instructions
curl --request POST \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/install-instructions \
--cookie acornops_cp_session=const options = {method: 'POST', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/virtual-machines/{vmId}/install-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"installInstructions": {
"command": "<string>",
"releaseVersion": "<string>",
"bootstrapUrl": "<string>",
"warnings": [
"<string>"
],
"enrollmentExpiresAt": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"9254df42-4d9b-4e63-8bb6-93442e7d9a45"